Paddings.Padding (JGoodies Forms 1.9 API)
Date: 2015-02-02

com.jgoodies.forms.factories

## Class Paddings.Padding

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EmptyBorder
    - - com.jgoodies.forms.factories.Paddings.Padding

- All Implemented Interfaces:
    Serializable, Border
  Enclosing class:
    Paddings

      public static final class Paddings.Padding
      extends EmptyBorder

  An `EmptyBorder` that uses 4 instances of `ConstantSize` to define the top, left, bottom and right gap.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.EmptyBorder

      `bottom, left, right, top`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Insets` | `getBorderInsets()`
    `Insets` | `getBorderInsets(Component c)`
    `Insets` | `getBorderInsets(Component c, Insets insets)`

    - ### Methods inherited from class javax.swing.border.EmptyBorder

      `isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBorderInsets

          public Insets getBorderInsets()

      Overrides:
        `getBorderInsets` in class `EmptyBorder`

    - #### getBorderInsets

          public Insets getBorderInsets(Component c)

      Specified by:
        `getBorderInsets` in interface `Border`
      Overrides:
        `getBorderInsets` in class `AbstractBorder`

    - #### getBorderInsets

          public Insets getBorderInsets(Component c,
                               Insets insets)

      Overrides:
        `getBorderInsets` in class `EmptyBorder`

Copyright © 2002-2015 JGoodies Software GmbH. All Rights Reserved.